﻿
@{
    ViewBag.Title = "Index";
}

<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>User</h3>
    </div>

    <!-- Page Stats -->
    <ul class="page-stats">
        <li>
            <a href="@Url.Action(MVC.CMSUser.Add())" class="btn btn-icon input-block-level">
                <i class="icon-group"></i>
                <div>Add User</div>
            </a>
        </li>
        <li>
            <a href="@Url.Action(MVC.CMSRoleNavigationMapping.Index())" class="btn btn-icon input-block-level">
                <i class="icon-group"></i>
                <div>Manage Role Navigation Privilege</div>
            </a>
        </li>
        <li>
            <a href="@Url.Action(MVC.CMSNavigationPrivilegeMapping.Index())" class="btn btn-icon input-block-level">
                <i class="icon-group"></i>
                <div>Manage Navigation Privilege</div>
            </a>
        </li>
    </ul>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->

<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> All User</h4>
            </div>
            <div class="right-title">
                @using (Html.BeginForm(null, null, null, FormMethod.Post, new { id = "gridSeachUser", role = "form" }))
                {
                    <input type="text" id="txtSearch" name="txtSearch" class="form-control box-search" placeholder="Search for...">
                    <button class="hidden" type="submit"></button>
                }

            </div>
            <div class="widget-content">
                @Html.Action("GridGetAllUser")
            </div>
            <!-- .box-content -->

        </div>
        <!-- .box -->

    </div>
</div>



@section FooterScript{
    <script>
        (function () {
                var gridName = 'AllUser';
                var pagingUrl = '@Url.Action(MVC.CMSUser.GridGetAllUserPager())';

                $('.grid-mvc').gridmvc();
                pageGrids[gridName].ajaxify({
                    getData: pagingUrl,
                    getPagedData: pagingUrl,
                    gridFilterForm: $('#gridSeachUser')
                });
        }())

        $(document).on('click', '.confirmModalActivate', function () {
            var addressValue = $(this).attr("data-link");
            var fileName = $(this).attr("data-name");
            bootbox.confirm("Data " + fileName + ". Are you sure want to Activated this record?", function (result) {
                if (result) {
                    window.location.href = addressValue;
                }
            });
        });

        $(document).on('click', '.confirmModalDeactivate', function () {
            var addressValue = $(this).attr("data-link");
            var fileName = $(this).attr("data-name");
            bootbox.confirm("Data " + fileName + ". Are you sure want to Deactivated this record?", function (result) {
                if (result) {
                    window.location.href = addressValue;
                }
            });
        });
    </script>
}